| Haskell Hierarchical Libraries (base package) | Contents | Index

Data.Complex

Portability | portable
Stability | provisional
Maintainer | libraries@haskell.org

Description
Complex numbers.
Documentation
data Complex a

Constructors

(:+) !a !a |

Instances

Typeable a => Typeable (Complex a)
RealFloat a => Num (Complex a)
RealFloat a => Fractional (Complex a)
RealFloat a => Floating (Complex a)
(RealFloat a, Eq a) => Eq (Complex a)
(RealFloat a, Read a) => Read (Complex a)
(RealFloat a, Show a) => Show (Complex a)

realPart :: RealFloat a => Complex a -> a
imagPart :: RealFloat a => Complex a -> a
conjugate :: RealFloat a => Complex a -> Complex a
mkPolar :: RealFloat a => a -> a -> Complex a
cis :: RealFloat a => a -> Complex a
polar :: RealFloat a => Complex a -> (a, a)
magnitude :: RealFloat a => Complex a -> a
phase :: RealFloat a => Complex a -> a
Produced by Haddock version 0.6